tt_pattern_icontext_add(library call)

NAME
tt_pattern_icontext_add — add an integer value to the values of this pattern's context

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_pattern_icontext_add(
Tt_pattern p,
const char *slotname,
int value);

DESCRIPTION

The tt_pattern_icontext_add function adds an integer value to the values of this pattern's context.

The p argument is the opaque handle for the pattern involved in this operation. The slotname argument describes the slotname in this pattern. The value argument is the value to be added.

RETURN VALUE

Tt_status Upon successful completion, the tt_pattern_icontext_add function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_UNIMP
    The ToolTalk function called is not implemented.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

TT_ERR_SLOTNAME
    The specified slotname is syntactically invalid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).